Как поднять версию PHP и не поломать сайт? 2.X

 
Посетитель
small user social cms
Медаль
Сообщений: 150
Scythian:
Видимо вы не внимательно прочитали основную тему с вопросом, или не правильно поняли.
Nginx + PHP-FPM - все давно установлено, года 2,5 - 3 как...

По факту, много бесполезной мути у вас в вопросе. Если вопрос тот, что в конце вашего поста "как поднять версию PHP" (она у вас лежит?), или перейти на более новую версию php, то поставьте тот же OSPanel на Виндовс, выберите там версию PHP-7.4 и проверьте работу ваших текущих проектов с включенным режимом отладки. Если всё норм, то при необходимости обновите InstantCMS до 2.14.1

P.S. Всё что на ICMS 2.13.1 давно уже работает с PHP-7.2
Регистрация доменов
VDS от 225 р., Облачный Хостинг от 124 р. на скоростных серверах
10$ на счет в DigitalOcean
Посетитель
small user social cms
МедальПочетный донор проекта
Сообщений: 440
Евгений Dublic:

Scythian:
Видимо вы не внимательно прочитали основную тему с вопросом, или не правильно поняли.
Nginx + PHP-FPM - все давно установлено, года 2,5 - 3 как...

По факту, много бесполезной мути у вас в вопросе. Если вопрос тот, что в конце вашего поста "как поднять версию PHP" (она у вас лежит?), или перейти на более новую версию php, то поставьте тот же OSPanel на Виндовс, выберите там версию PHP-7.4 и проверьте работу ваших текущих проектов с включенным режимом отладки. Если всё норм, то при необходимости обновите InstantCMS до 2.14.1

P.S. Всё что на ICMS 2.13.1 давно уже работает с PHP-7.2

С Новым Вас Годом!
Вы посты набираете, или как?
Друг друга тяготы носите, и тако исполните закон Христов. Гал.6:2
Реклама
cms
Посетитель
small user social cms
МедальПочетный донор проектаАвторитет форума
Сообщений: 1042
На свой комп можно установить два линукс , windows + линукс . Если сервер от хостера, то сложнее ситуация. Версию PHP можно же понижать для доменов и поддоменов. Но чтобы сайт меньше простаивал или частично работал во время теста лучше проверять не на рабочем сервере. Плюс OSPanel - уже есть все версии PHP и тд. В дополнениях было бы неплохо указывать версию PHP.
Посетитель
small user social cms
МедальПочетный донор проектаАвторитет форума
Сообщений: 2941
Евгений Dublic:

P.S. Всё что на ICMS 2.13.1 давно уже работает с PHP-7.2
У меня уже год, как все работает на PHP-7.4. Мог бы и раньше запустить, но не было под него ioncube.
Стоит куча дополнений, они все либо изначально работают под любой версией PHP либо имеют вариант под 7.1+
Единственная проблема может быть с совсем древними разработками. Но у меня таких нет.
А то что ваш процессор стал сильнее подгружаться, вы сами виноваты, надо ставить fast cgi и не надо держать сайты на разных PHP. Лучше когда на сервере одна среда.
У меня крутится 20 сайтов 3 ядра, 5 ОЗУ, загрузка процессора редко подскакивает до 50%
Редактировалось: 1 раз (Последний: 14 января 2021 в 07:21)
Мощный хостинг на NVMе дисках с защитой! Дешевые домены здесь! Автоботы для соцсетей
Посетитель
small user social cms
Медаль
Сообщений: 150
vikont:
А то что ваш процессор стал сильнее подгружаться, вы сами виноваты, надо ставить fast cgi и не надо держать сайты на разных PHP. Лучше когда на сервере одна среда.

Это не ко мне коммент, а к 👉 Scythian

я уже давно на 7.4, и тесты провожу на 8.0, пока только ради любопытства, но с выходом 8.1, заменю 7.4. на php8
Редактировалось: 1 раз (Последний: 14 января 2021 в 09:25)
Регистрация доменов
VDS от 225 р., Облачный Хостинг от 124 р. на скоростных серверах
10$ на счет в DigitalOcean
Посетитель
small user social cms
МедальПочетный донор проекта
Сообщений: 440
@noname:

На свой комп можно установить два линукс , windows + линукс . Если сервер от хостера, то сложнее ситуация. Версию PHP можно же понижать для доменов и поддоменов. Но чтобы сайт меньше простаивал или частично работал во время теста лучше проверять не на рабочем сервере. Плюс OSPanel - уже есть все версии PHP и тд. В дополнениях было бы неплохо указывать версию PHP.

Да собственно проблема в этом не заключается, от слова совсем )
Друг друга тяготы носите, и тако исполните закон Христов. Гал.6:2
Посетитель
small user social cms
МедальПочетный донор проекта
Сообщений: 440
vikont:

Евгений Dublic:

P.S. Всё что на ICMS 2.13.1 давно уже работает с PHP-7.2
У меня уже год, как все работает на PHP-7.4. Мог бы и раньше запустить, но не было под него ioncube.
Стоит куча дополнений, они все либо изначально работают под любой версией PHP либо имеют вариант под 7.1+
Единственная проблема может быть с совсем древними разработками. Но у меня таких нет.
А то что ваш процессор стал сильнее подгружаться, вы сами виноваты, надо ставить fast cgi и не надо держать сайты на разных PHP. Лучше когда на сервере одна среда.
У меня крутится 20 сайтов 3 ядра, 5 ОЗУ, загрузка процессора редко подскакивает до 50%

Установлен у меня fast cgi и все сайты работают в одной "среде".
Просто вы не внимательно читали тему. Или я не смог правильно описать проблему. Одно из двух )
Друг друга тяготы носите, и тако исполните закон Христов. Гал.6:2
Посетитель
small user social cms
МедальПочетный донор проекта
Сообщений: 440
В общем, господа, тему закрываю, так как, видимо я не правильно описал суть проблемы, делаю такой вывод исходя из сообщений оставленных вами в теме. Скорей всего, причина заключается в том, что я уж слишком подробно описал, много лишнего, надо было просто задать вопрос по проблеме и не описывать разные действия.
Попробую создать новую тему и правильно сформулировать вопрос и описание.
Друг друга тяготы носите, и тако исполните закон Христов. Гал.6:2
В начало страницы
Предыдущая темаСледующая тема Перейти на форум:
Страницы: Первая Предыдущая 1 2